import { Modal, ModalService } from '@zeedhi/common';

export class ModalControllerAddProcedimento {
  private headerFooterModal!: Modal;

  public async createHeaderFooterModal() {
    this.headerFooterModal = await ModalService.createFromJson('/modal/modalNovoProcedimento', true);
  }

  public destroyHeaderFooterModal() {
    this.headerFooterModal.destroy();
  }

  public openHeaderFooterModal() {
    this.headerFooterModal.show();
  }

  public closeHeaderFooterModal() {
    this.headerFooterModal.hide();
  }
}
